2017-11-10 64 views
6

'u öldürdü. Android studio 3.0'ı ubuntu'ma yeniden yükledim. Tüm işlem kurulumları tamamlandı. Şimdi yeni bir proje oluşturdum. Ben çalıştırmayı denediğinizde Ama konsolda bu olsun:Ubuntu'da Android studio 17.10: AVD Nexus_5_API_22 için öykünme işlemi

11/10 21:10:19: Launching app 
Error while waiting for the device: The emulator process for AVD Nexus_5_API_22 was killed. 

enter image description here

herhangi bir fikir lütfen?

Executing tasks: [:app:assembleDebug] 
Emulator: libGL error: unable to load driver: i965_dri.so 
Emulator: libGL error: driver pointer missing 
Emulator: libGL error: failed to load driver: i965 
Emulator: libGL error: unable to load driver: i965_dri.so 
Emulator: libGL error: driver pointer missing 
Emulator: libGL error: failed to load driver: i965 
Emulator: libGL error: unable to load driver: swrast_dri.so 
Emulator: libGL error: failed to load driver: swrast 
Emulator: X Error of failed request: BadValue (integer parameter out of range for operation) 
Emulator: Major opcode of failed request: 155 (GLX) 
Emulator: Minor opcode of failed request: 24 (X_GLXCreateNewContext) 
Emulator: Value in failed request: 0x0 
Emulator: Serial number of failed request: 39 
Emulator: Current serial number in output stream: 40 
Emulator: Process finished with exit code 139 (interrupted by signal 11: SIGSEGV) 

Güncelleme 2

Farklı ubuntu için 17.10 bilgisayarda aynı sorun yaşıyorum: Burada

Güncelleme Emülatörü günlükleri olduğunu.

+0

Yeni bir emülatör oluşturmayı deneyin – Zoe

+0

Olası çoğaltılamaz [Linux'ta emülatör başlatılamıyor (Ubuntu 15.10)] (https://stackoverflow.com/questions/35911302/cannot-launch-emulator-on-linux-ubuntu-15- 10) – AesSedai101

cevap

9

için this öğreticisini kullanıyorum libstdc++ yolu Ubuntu 17.10'da değişti. Aşağıdakileri deneyin:

$ cd ~/Android/Sdk/emulator/lib64/libstdc++ 
$ mv libstdc++.so.6 libstdc++.so.6.bak 
$ ln -s /usr/lib/x86_64-linux-gnu/libstdc++.so.6 libstdc++.so.6 

Emülatörünü şimdi Android Studio'dan başlatabilmelisiniz.

0

Android Studio 3.01 ile Ubuntu 17.10'da. Kütüphane klasörünü yeniden adlandırdım ~/Android/Sdk/emulator/lib64/lib/libstdC++ libstC++ için OLD ve iyi çalıştı.

İlgili konular